com.brightcove.player.model

## Enum CuePoint.CuePointType

- java.lang.Object
- - java.lang.Enum<CuePoint.CuePointType>
  - - com.brightcove.player.model.CuePoint.CuePointType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CuePoint.CuePointType>
  Enclosing class:
    CuePoint

      public static enum CuePoint.CuePointType
      extends java.lang.Enum<CuePoint.CuePointType>

  Specifies the cue point type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AD` An ad break.
    `CODE` A non-ad event or action.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static CuePoint.CuePointType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CuePoint.CuePointType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AD

          public static final CuePoint.CuePointType AD

      An ad break.

    - #### CODE

          public static final CuePoint.CuePointType CODE

      A non-ad event or action.

  - ### Method Detail

    - #### values

          public static CuePoint.CuePointType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CuePoint.CuePointType c : CuePoint.CuePointType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CuePoint.CuePointType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CuePoint.CuePointType>`